import request from '@/utils/request';

/**
 * @description 获取商家订单列表
 * @param {*} data
 * @returns
 */

export function getOrderListApi(data) {
  return request({
    url: '/maintain/order/merchantPaging',
    data: data,
    method: 'GET',
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded',
    },
  });
}

/**
 * @description 订单接口 - 商家端查询订单量以及今日收入
 * @returns
 */

export function getOrderQuantityApi(id) {
  return request({
    url: `/maintain/order/getOrderQuantity/${id}`,
    method: 'GET',
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded',
    },
  });
}

/**
 * 预约接口 - 查询商家被预约列表
 * @param {*} data
 * @returns
 */
export function getAppointListApi(data) {
  return request({
    url: `/maintain/listMerchantReservations`,
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/json',
    },
  });
}
